void start (p_state -&w _)
        if (# (state))
{
  ...
}

ERR_* # start (p_state _)
{
  return (state->variables->is_correct (),
          state->points_to (PTR_STACK | PTR_MEMORY),
          state->variables->points_to (PTR_STACK | PTR_MEMORY)) ? . : ERR_POINTER;
}